MultipartDef (Apache Tomcat 9.0.22 API Documentation)

org.apache.tomcat.util.descriptor.web

## Class MultipartDef

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.MultipartDef

- All Implemented Interfaces:
    java.io.Serializable

      public class MultipartDef
      extends java.lang.Object
      implements java.io.Serializable

  Representation of a the multipart configuration for a servlet.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartDef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getFileSizeThreshold()`
    `java.lang.String` | `getLocation()`
    `java.lang.String` | `getMaxFileSize()`
    `java.lang.String` | `getMaxRequestSize()`
    `int` | `hashCode()`
    `void` | `setFileSizeThreshold(java.lang.String fileSizeThreshold)`
    `void` | `setLocation(java.lang.String location)`
    `void` | `setMaxFileSize(java.lang.String maxFileSize)`
    `void` | `setMaxRequestSize(java.lang.String maxRequestSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartDef

          public MultipartDef()

  - ### Method Detail

    - #### getLocation

          public java.lang.String getLocation()

    - #### setLocation

          public void setLocation(java.lang.String location)

    - #### getMaxFileSize

          public java.lang.String getMaxFileSize()

    - #### setMaxFileSize

          public void setMaxFileSize(java.lang.String maxFileSize)

    - #### getMaxRequestSize

          public java.lang.String getMaxRequestSize()

    - #### setMaxRequestSize

          public void setMaxRequestSize(java.lang.String maxRequestSize)

    - #### getFileSizeThreshold

          public java.lang.String getFileSizeThreshold()

    - #### setFileSizeThreshold

          public void setFileSizeThreshold(java.lang.String fileSizeThreshold)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.